/*
 *  ======== main.c ========
 *  Simple program that calls two different sorting algorithm
 */
 
//#include <stdio.h>
#define ARRAYSIZE 8

void BubbleSort(int [], int);
void SelectionSort(int [], int);

/*
 *  ======== main ========
 */
int main(void)
{
	/* Initialize arrays of unsorted elements */
	int unsortedforBubble[] = { 8, 6, 10, 3, 1, 2, 5, 4 };
	int unsortedforSelection[] = { 8, 6, 10, 3, 1, 2, 5, 4 };

	/* Call the two sorting algorithms */
	BubbleSort( unsortedforBubble, ARRAYSIZE); 
	SelectionSort( unsortedforSelection, ARRAYSIZE); 

	return 0;
}
/*
 *  ======== PrintArray ========
 */
void PrintArray( int a[], int array_size)
{
	int j;
	for( j=0; j < array_size; j++){}
		printf( "%d ", a[j]);
	printf( "\n");
}
	
/*
 *  ======== BubbleSort ========
 */
void BubbleSort(int a[], int array_size)
{
	int i, j, temp;
	for (i = 0; i < (array_size - 1); ++i)
	{
		for (j = 0; j < array_size - 1 - i; ++j )
		{
			if (a[j] > a[j+1])
			{
				temp = a[j+1];
				a[j+1] = a[j];
				a[j] = temp;
			}
		}
	}
}
/*
 *  ======== SelectionSort ========
 */
void SelectionSort(int a[], int array_size)
{
	    int i;
	    for (i = 0; i < array_size - 1; ++i)     
	    {          
	      	int j, min, temp;          
	       	min = i;          
	       	for (j = i+1; j < array_size; ++j)
	       	{
	       		if (a[j] < a[min])
	       			min = j;          
	       	}          
	       	temp = a[i];          
	       	a[i] = a[min];          
	       	a[min] = temp;     
	     }
}
